All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::task Class Reference

`#include <tasks.hpp>`

Inheritance diagram for uhd::task:

## Public Types

typedef boost::shared_ptr< task > | sptr
typedef boost::function< void(void)> | task_fcn_type

## Static Public Member Functions

static sptr | make (const task_fcn_type &task_fcn)

## Member Typedef Documentation

typedef boost::shared_ptr<task> uhd::task::sptr

typedef boost::function<void(void)> uhd::task::task_fcn_type

## Member Function Documentation

static sptr uhd::task::make | ( | const task_fcn_type & | task_fcn | ) |

static

Create a new task object with function callback. The task function callback will be run in a loop. until the thread is interrupted by the deconstructor.

A task should return in a reasonable amount of time or may block forever under the following conditions:

- The blocking call is interruptible.
- The task polls the interrupt condition.

Parameters

  task_fcn | the task callback function

Returns
  a new task object

The documentation for this class was generated from the following file:

- include/uhd/utils/tasks.hpp